Page MenuHomePhabricator

Require ext-iconv in MediaWiki's composer.json, and suggest ext-intl
Closed, ResolvedPublic

Description

when running install.php (after recently upgrading my php and possibly missing some php extensions), I get:

Warning: The intl PECL extension is not available to handle Unicode normalization, falling back to slow pure-PHP implementation.
If you run a high-traffic site, you should read a little on Unicode normalization.
*Fatal: PHP must be compiled with support for the iconv extension.*

ext-iconv should be added in composer.json as a requirement and intl as suggested.

Event Timeline

aude created this task.Feb 23 2015, 2:21 PM
aude raised the priority of this task from to Medium.
aude updated the task description. (Show Details)
aude added a project: MediaWiki-Installer.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2015, 2:21 PM
aude claimed this task.Feb 23 2015, 3:05 PM
aude set Security to None.

Change 192320 had a related patch set uploaded (by Aude):
Require ext-iconv and suggest ext-intl in composer.json

https://gerrit.wikimedia.org/r/192320

Patch-For-Review

Change 192320 merged by jenkins-bot:
Require ext-iconv and suggest ext-intl in composer.json

https://gerrit.wikimedia.org/r/192320

aude closed this task as Resolved.Feb 23 2015, 10:24 PM